import request from '@/config/axios'

// 通过key，查询内容
export const getConfigByConfigKey = (params) => {
  return request.get({ url: '/admin-api/crm/config/getConfigByConfigKey', params })
}

// 保存配置项
export const updateConfig = (data) => {
  return request.put({ url: '/admin-api/crm/config/batchUpdateConfigValue', data })
}

// 根据模块获取配置列表
export const getConfigList = (params) => {
  return request.get({ url: '/admin-api/crm/config/query', params })
}
